Package de.willuhn.jameica.hbci.io.print

# Class AbstractPrintSupportSepaSammelTransferBuchung<T extends SepaSammelTransferBuchung>

java.lang.Object
de.willuhn.jameica.hbci.io.print.AbstractPrintSupport
de.willuhn.jameica.hbci.io.print.AbstractPrintSupportSepaSammelTransferBuchung<T>

Type Parameters:
  `T` - der konkrete Typ des SEPA-Auftrages.

All Implemented Interfaces:
  `de.willuhn.jameica.print.PrintSupport`

Direct Known Subclasses:
  `PrintSupportSepaSammelLastBuchung`, `PrintSupportSepaSammelUeberweisungBuchung`

public abstract class AbstractPrintSupportSepaSammelTransferBuchung<T extends SepaSammelTransferBuchung> extends AbstractPrintSupport
Abstrakter Druck-Support fuer eine einzelne Buchung in einem SEPA-Sammelauftrag.

## Constructor Summary

Constructors
Constructor
Description
`AbstractPrintSupportSepaSammelTransferBuchung(T a)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected T`
`getTransfer()`
Liefert den Auftrag.

### Methods inherited from class de.willuhn.jameica.hbci.io.print.AbstractPrintSupport

`print`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractPrintSupportSepaSammelTransferBuchung

public AbstractPrintSupportSepaSammelTransferBuchung(T a)
ct.

Parameters:
  `a` - der zu druckende Auftrag.

## Method Details

### getTransfer

protected T getTransfer()
Liefert den Auftrag.

Returns:
  der Auftrag.